#!/bin/bash
#$ -N dataprep_step1
#$ -l m_mem_free=15G
#$ -q short.q
#$ -t 1-859:1

# STEP 1a: calculate price instruments

	pmodule=$( head -n$SGE_TASK_ID productmodule_list_noncount.txt | tail -n1 )
	echo $pmodule

	# main spec
	stata-se -b do 1_priceinstruments.do $pmodule 2012 "month" 0
	# robustness
	stata-se -b do 1_priceinstruments.do $pmodule 2012 "quarter" 0
	