#!/bin/bash
#$ -N dataprep_step2b
#$ -l m_mem_free=30G
#$ -q short.q
#$ -t 1-859:1

# STEP 2b: clean RMS data sample for estimation and output to CSV file
	
	pmodule=$( head -n$SGE_TASK_ID productmodule_list_noncount.txt | tail -n1 )
	echo $pmodule

	# args: pmodule freq outsidegoodscut byyear cbsa marketlevel

	# main spec
	stata-se -b do 2b_outputforMATLAB_RMS.do $pmodule "month" 60 2012 0 "cbsa"

	# robustness
	stata-se -b do 2b_outputforMATLAB_RMS.do $pmodule "month" 40 2012 0 "cbsa"
	stata-se -b do 2b_outputforMATLAB_RMS.do $pmodule "month" 80 2012 0 "cbsa"
	stata-se -b do 2b_outputforMATLAB_RMS.do $pmodule "quarter" 60 2012 0 "cbsa"
	