#!/bin/bash
#$ -N dataprep_step2c
#$ -l m_mem_free=60G
#$ -q all.q

# STEP 2c: clean HMS data sample for estimation and output to CSV file

	# args: freq outsidegoodscut byyear cbsa marketlevel
	
	# main spec
	stata-se -b do 2c_outputforMATLAB_HMS.do "month" 60 2012 0 "cbsa"

	# robustness
	stata-se -b do 2c_outputforMATLAB_HMS.do "month" 40 2012 0 "cbsa"
	stata-se -b do 2c_outputforMATLAB_HMS.do "month" 80 2012 0 "cbsa"
	stata-se -b do 2c_outputforMATLAB_HMS.do "quarter" 60 2012 0 "cbsa"
