#!/bin/bash
#$ -N SF2aii_cbsabsprep
#$ -P real_handbury_team
#$ -l m_mem_free=15G
#$ -j y
#$ -q short.q
#$ -t 1-100:1

	market="cbsa"
	tasks="mktsales"
	channel="0"
		# limit attention to food stores "_F", or food and mass merch "_FM", otherwise "0"
	marketspecificsh="mktspecific"
		# drop expenditures of households in same market when calculating decile shares: "mktspecific" (will also calculate aggregate version of HH exp shares)
	sampleV="_v$SGE_TASK_ID"
		# which bootstrapped sample to use for sampled stores
	testrun="0"

	stata-se -b do 2_stylizedfact2.do $market $tasks $channel $marketspecificsh _limit50 $sampleV $testrun
	stata-se -b do 2_stylizedfact2.do $market $tasks $channel $marketspecificsh _limitcbp20 $sampleV $testrun
	stata-se -b do 2_stylizedfact2.do $market $tasks $channel $marketspecificsh _limitcbp10dens $sampleV $testrun
  