function [delta,deltaerror]=step3a_alldeltas(theta)

    global ids k T J B ns micro time ns data hhdata draws esta1 estg beta_0 first outputdate scalingfactors

    sumJt = size(data.mktid,1);
    ntheta = 1+esta1+estg;
    alpha0 = theta(1); alpha1 = 0; gamma = 0; k = 2;
    if esta1==1, alpha1 = theta(k); k=k+1; end
    if estg==1, gamma = theta(k); end
    
    dmlninc = data.dmlnincbar;
    delta=(data.rellnsjt./(alpha0+alpha1*dmlninc)+data.relx)./(1+gamma*dmlninc); 
    deltaerror=0;
  
    if esta1+estg>0 && ns>1, 
        hiterror=0;
        delta_cell=cell(1,ids.nTset); nargs=4;	
		t=1;
		while hiterror==0 && t<=ids.nTset,
				mint=ids.Tsetmin(t);  maxt=ids.Tsetmax(t); 
				mktstart=ids.mktstart(mint:maxt,:); mktend=ids.mktend(mint:maxt,:);
				mktdelta0=delta(ids.mktstart(mint,:):ids.mktend(maxt,:));
				delta_cell{t}=step3b_solvefordeltas(mktdelta0,theta,...
						data((data.mktid>=mint & data.mktid<=maxt),:),...
						ids.subs((ids.subs(:,1)>=mint & ids.subs(:,1)<=maxt),:),...
						ids.subsmkt((ids.subsmkt(:,1)>=mint & ids.subsmkt(:,1)<=maxt),:),...
						draws.lninc(mint:maxt,:),draws.w,...
						nargs,esta1,estg,sumJt,ntheta,ns,...
						mint,maxt,mktstart,mktend,1E-14); % final input is tolerance
				if delta_cell{t}.error==1, hiterror = hiterror+1; end
				t=t+1;
		end
        deltaout = cat(1,delta_cell{:});
        
        if sum(vertcat(deltaout.error))==0,  delta=vertcat(deltaout.deltat); 
        else, delta=(data.rellnsjt./(alpha0+alpha1*dmlninc)+data.relx)./(1+gamma*dmlninc); deltaerror=1; 
        end
   end

end