#!/bin/bash
#$ -N step4_2_store
#$ -P real_handbury_team
#$ -t 1-859:1
#$ -l m_mem_free=30G
#$ -q short.q
#$ -j y
	
 
	pmodule=$( head -n$SGE_TASK_ID /home/real/handbury/NHP_Revision/0_dataimport/Code/productmodule_list_noncount.txt | tail -n1 )
	market="store_code_uc"
	year=2012
	source="matlab"
	freq="month"
	spec="_nl"
	micro="2" 
	outsidegoodscutoff="60"
	estdir=1
	incgrp="det"
	sampleV="0"
	channel="_F"
	nooverwrite="1"
	
	stata-se do 2_moduleindex_allmods.do $machine $market $year $source $freq $spec $pdef $micro $outsidegoodscutoff $cbsa $estdir 0 $incgrp 0 $pmodule $channel $stderrors $nooverwrite > /dev/null 2>&1
 