#!/bin/bash
#$ -N dataimport_step0b1
#$ -l m_mem_free=10G
#$ -q short.q
#$ -t 1-1302

# STEP 0b: identify brand information for each upc by module in RMS data
	# part 1: process brand information module by module

	pmodule=$( head -n$SGE_TASK_ID productmodule_list.txt | tail -n1 )
	echo $pmodule
	
	for Y in $( seq 2006 2014 ); do
		stata-se -b do 0b_createproductids_ctlbrandsRMS.do "ctlbrandsRMS_bymodyr" $pmodule 2012 0 0
	done