% this computes IV estimates and residual
    function [est,resid]=ivregression(Y,X,Z,W)
        if nargin <4
            W = (Z'*Z) \ eye(size(Z,2));
        end
        t1=X'*Z;
        est=(t1*W*t1')\(t1*W*Z'*Y);
        if nargout >1
            resid=Y-X*est;
        end
    end