function [dr] = step0c_generatedraws(ns, dist)

    [x, w]=GaussHermite_2(ns);

    dr.lninc=bsxfun(@plus,(2^0.5)*bsxfun(@times,x',repmat(dist.vlninc.^0.5,1,ns)), dist.meanlninc); % T x ns
    dr.w = ((pi^(0.5))*w'/sum((pi^(0.5))*w'))';  % ns x 1 ** weights for each of ns household draws;

end

