#!/bin/bash
#$ -N step4_2_cbsa
#$ -P real_handbury_team
#$ -t 1-100:1
#$ -l m_mem_free=2G
#$ -q short.q
#$ -j y

	market="cbsa" 
	year=2012
	source="matlab"
	freq="month"
	spec="_nl"
	micro="2" 
	outsidegoodscutoff="60"
	estdir=1
	incgrp="det"
	pmodule=0
	channel="0"
	nooverwrite=1

	sampleV="_v$SGE_TASK_ID"
	    
	stata-se do 2_moduleindex_allmods.do $market $year $source $freq $spec $micro $outsidegoodscutoff $estdir _limit50 $incgrp $sampleV $pmodule $channel $nooverwrite > /dev/null 2>&1  
