#!/bin/bash
#$ -N step4_3_cbsa
#$ -P real_handbury_team
#$ -l m_mem_free=30G
#$ -q all.q
#$ -j y
#$ -t 1-100:1

	market="cbsa"
	year="2012"
	source="matlab"
	freq="month"
	spec="_nl"
	micro="2" 
	outsidegoodscutoff="60"
    estdir=1
    test="0"
	incgrp="det"
	channel="0"
    	
	sampleV="_v$SGE_TASK_ID"
	
	stata-se do 3_aggindex.do $market $year $source $freq $spec $micro $outsidegoodscutoff $estdir $test _limit50 $incgrp $sampleV  $channel > /dev/null 2>&1
